安装软件时出现以下错误 我试着删掉出错的包 和重装 都没有 那位大虾能教救小弟

为当前最终发行版之前的所有版本提供支持
回复
nilvguke
帖子: 4
注册时间: 2006-11-08 10:26
送出感谢: 0
接收感谢: 0

安装软件时出现以下错误 我试着删掉出错的包 和重装 都没有 那位大虾能教救小弟

#1

帖子 nilvguke » 2006-11-08 10:32

@(none):/etc/init.d$ sudo apt-get install clvm
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
clvm 已经是最新的版本了。
The following packages were automatically installed and are no longer required:
imlib11 gcompris-sound-da libgsf-gnome-1-114 gcompris-sound-de gcompris-sound-en gcompris-sound-es gcompris-sound-fr gcompris-sound-it
kanagram gcompris-sound-pt gcompris-sound-ru gcompris-sound-sv dia-libs kstars ttf-dustin student-control-panel keduca mesa-common-dev
gpaint kmplot librte1 kalzium kalzium-data ktouch kvoctrain kwordquiz dia-gnome gcompris libglu1-mesa-dev tuxpaint-data libsdl-ttf2.0-0
atomix-data tuxpaint kig kstars-data xaos scribus docker khangman imlib-base libsdl-mixer1.2 libgl1-mesa-dev dia-common libkdeedu3
libgcompris-1-0 gcompris-data kpercentage pessulus tuxpaint-stamps-default tuxmath kino ktuberling kturtle kverbos libsmpeg0
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 14 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
正在设置 clvm (2.02.06-2ubuntu3) ...
Starting Cluster LVM Daemon clvmd could not connect to cluster manager
Consult syslog for more information
invoke-rc.d: initscript clvm, action "start" failed.
dpkg:处理 clvm (--configure)时出错:
子进程·post-installation script·返回了错误号·3
dpkg:依赖关系问题使得 redhat-cluster-suite 的配置工作不能继续:
redhat-cluster-suite 依赖于 clvm;然而:
软件包 clvm 还没有被配置。
dpkg:处理 redhat-cluster-suite (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 system-config-cluster 的配置工作不能继续:
system-config-cluster 依赖于 redhat-cluster-suite;然而:
软件包 redhat-cluster-suite 还没有被配置。
dpkg:处理 system-config-cluster (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
clvm
redhat-cluster-suite
system-config-cluster
E: Sub-process /usr/bin/dpkg returned an error code (1)


小弟用以下方法已解决问题 但是不知为何求教高手

sudo mv /etc/init.d/clvm /home/user
sudo mv /etc/default/clvm /home/user
上次由 nilvguke 在 2006-12-02 15:06,总共编辑 1 次。
头像
Lejcey
帖子: 105
注册时间: 2005-08-18 22:24
来自: 广东省中山市
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 Lejcey » 2006-11-08 11:40

重新检查一下依赖关系试试?
~$ sudo apt-get build-dep clvm
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
下列【新】软件包将被安装:
libccs-dev libdevmapper-dev libdlm-dev libdlm1 libgulm-dev libgulm1
libncurses5-dev libreadline5-dev
共升级了 0 个软件包,新安装了 8 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 1816kB 的软件包。
解压缩后会消耗掉 7643kB 的额外空间。
您希望继续执行吗?[Y/n]n
中止执行。
[/code]
只有当一个人全面了解自己后,他才会知道自己需要的是什么。
同理,只有当一个人全面了解linux以后,他才会知道自己需要的linux软件是什么。
回复

回到 “老旧版本支持”